# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2021-11-28 22:47
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(blank=True, max_length=6, unique=True, verbose_name='\u4ee3\u7801')),
                ('mobile', models.CharField(max_length=16, verbose_name='\u624b\u673a')),
                ('memo', models.TextField(blank=True, default='', null=True, verbose_name='\u5907\u6ce8')),
                ('content', models.CharField(blank=True, max_length=255, null=True, verbose_name='\u5185\u5bb9')),
                ('is_sent', models.BooleanField(default=False, verbose_name='\u5df2\u53d1')),
                ('is_read', models.BooleanField(default=False, verbose_name='\u5df2\u8bfb')),
                ('is_located', models.BooleanField(default=False, verbose_name='\u5df2\u5b9a\u4f4d')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('sent_time', models.DateTimeField(blank=True, null=True, verbose_name='\u53d1\u9001\u65f6\u95f4')),
                ('read_time', models.DateTimeField(blank=True, null=True, verbose_name='\u67e5\u770b\u65f6\u95f4')),
                ('locate_time', models.DateTimeField(blank=True, null=True, verbose_name='\u5b9a\u4f4d\u65f6\u95f4')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u4e8b\u4ef6',
                'verbose_name_plural': '\u4e8b\u4ef6',
            },
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('longitude', models.DecimalField(decimal_places=14, max_digits=18, verbose_name='\u7ecf\u5ea6')),
                ('latitude', models.DecimalField(decimal_places=15, max_digits=18, verbose_name='\u7eac\u5ea6')),
                ('address', models.CharField(blank=True, max_length=255, null=True, verbose_name='\u5730\u5740')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='locations', to='lbstracker.Event', verbose_name='\u4e8b\u4ef6')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u5b9a\u4f4d',
                'verbose_name_plural': '\u5b9a\u4f4d',
            },
        ),
        migrations.CreateModel(
            name='Template',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='\u540d\u79f0')),
                ('content', models.CharField(blank=True, help_text='\u77ed\u4fe1\u6587\u672c\u6a21\u677f, \u5176\u4e2d"{{url}}"\u66ff\u6362\u843d\u5730\u9875\u5730\u5740', max_length=255, null=True, verbose_name='\u77ed\u4fe1\u5185\u5bb9')),
                ('url', models.URLField(blank=True, default='', null=True, verbose_name='\u8df3\u8f6c\u7f51\u5740')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u6a21\u677f',
                'verbose_name_plural': '\u6a21\u677f',
            },
        ),
        migrations.AddField(
            model_name='event',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='events', to='lbstracker.Template', verbose_name='\u6a21\u677f'),
        ),
        migrations.AddField(
            model_name='event',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='lbstracker_events', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
    ]
